﻿var targetUrl = "";

$(document).ready(function () {
    $("div.area-box").disableSelection();
    $("#areas").sortable({
        items: ".area-box",
        handle: ".area-handle",
        placeholder: "ui-state-highlight",
        stop: function (event, ui) {
            var ids = $("#areas .area-box .area-handle").map(function () {
                return $(this).data("id");
            }).get();
            $.ajax({
                url: RQ_URL + "/Admin/SupportCentre/AreasChangePosition",
                type: "POST",
                data: JSON.stringify({
                    ids: ids
                }),
                dataType: "html",
                contentType: "application/json; charset=utf-8",
                success: function (g) {

                },
                error: function (error) { alert(error.responseText); },
                complete: function () {
                }
            });
        }
    });

    $(".categories").sortable({
        items: ".category-box",
        handle: ".category-handle",
        placeholder: "ui-state-highlight small",
        stop: function (event, ui) {
            var ids = $(event.target).find(".category-box .category-handle").map(function () {
                return $(this).data("id");
            }).get();
            $.ajax({
                url: RQ_URL + "/Admin/SupportCentre/CategoriesChangePosition",
                type: "POST",
                data: JSON.stringify({
                    ids: ids
                }),
                dataType: "html",
                contentType: "application/json; charset=utf-8",
                success: function (g) {

                },
                error: function (error) { alert(error.responseText); },
                complete: function () {
                }
            });
        }
    });

    $(".articles").sortable({
        items: ".article-box",
        handle: ".article-handle",
        placeholder: "ui-state-highlight small",
        stop: function (event, ui) {
            var ids = $(event.target).find(".article-box .article-handle").map(function () {
                return $(this).data("id");
            }).get();
            $.ajax({
                url: RQ_URL + "/Admin/SupportCentre/ArticlesChangePosition",
                type: "POST",
                data: JSON.stringify({
                    ids: ids
                }),
                dataType: "html",
                contentType: "application/json; charset=utf-8",
                success: function (g) {

                },
                error: function (error) { alert(error.responseText); },
                complete: function () {
                }
            });
        }
    });

    $(".deleteCategoryLink").click(function (e) {
        e.preventDefault();
        targetUrl = $(this).attr("href");
        $("#deleteCategory").modal("show");
    });

    $(".deleteAreaLink").click(function (e) {
        e.preventDefault();
        targetUrl = $(this).attr("href");
        $("#deleteArea").modal("show");
    });

    $(".deleteArticleLink").click(function (e) {
        e.preventDefault();
        targetUrl = $(this).attr("href");
        $("#deleteArea").modal("show");
    });
});

function deleteAreaImage(id, element) {
    $("#deleteAreaImageLink" + id).closest("div").hide();
    $("#deleteAreaImage" + id).val(true);
}

function deleteRedirectModalDialog() {
    window.location.href = targetUrl;
}

function showArea(id) {
    $("#areaBody").load(RQ_URL + "/Admin/SupportCentre/GetArea/" + id);
    $('#area').modal('show');
}

function sendAreaForm() {
    var action = $("#areaForm").attr("action");
    dataString = new FormData($("#areaForm").get(0));
    contentType = false;
    processData = false;
    $.ajax({
        type: "POST",
        url: action,
        data: dataString,
        dataType: "json", //change to your own, else read my note above on enabling the JsonValueProviderFactory in MVC
        contentType: contentType,
        processData: processData,
        success: function (data) {
            OnAreaSuccess(data);
        },
        error: function (jqXHR, textStatus, errorThrown) {
            //do your own thing
            alert("Nepodporovaný formát obrázku");
        }
    });
}

function OnAreaSuccess(result) {
    if (result.success) {
        $('#area').modal('hide');
        window.location.reload();
    }
    else {
        $('#areaBody').html(result); //some form errors, redisplay form
    }
}

function showCategory(areaid, id) {
    $("#categoryBody").load(RQ_URL + "/Admin/SupportCentre/GetCategory/" + id + "?areaId=" + areaid);
    $('#category').modal('show');
}

function sendCategoryForm() {
    $("#categoryForm").submit();
}

function OnCategorySuccess(result) {
    if (result.success) {
        $('#category').modal('hide');
        window.location.reload();
    }
    else {
        $('#categoryBody').html(result); //some form errors, redisplay form
    }
}